Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations
PUTBackup Service OperationsSince 3.0.0SynchronousAuth Required

ExportDatabaseBackupFromBackupStorage

ExportDatabaseBackupFromBackupStorage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • backupStorageUuidStringRequired

    The UUID of the backup storage.

  • databaseBackupUuidStringRequired

    The UUID of the database backup.

Body Fields

  • systemTagsList

    Optional.

  • userTagsList

    Optional.

Responses

200 OK

On success, this API returns the following response structure.

  • databaseBackupUrlStringRequired

    The URL of the exported database backup.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

PUT/zstack/v1/database-backups/{databaseBackupUuid}/backup-storage/{backupStorageUuid}/actions

/zstack/v1/database-backups/{databaseBackupUuid}/backup-storage/{backupStorageUuid}/actions

Operation ID

ExportDatabaseBackupFromBackupStorage

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/database-backups/{databaseBackupUuid}/backup-storage/{backupStorageUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "databaseBackupUrl": "http://127.0.0.1:8001/path/zstack-db-backup.gz" }

Change History

This API has no change history records yet.

View all change history